apport hook attaches version info for *all* packages in AllPkgs.txt

Bug #382077 reported by Matt Zimmerman on 2009-05-31
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kvm (Ubuntu)
Medium
Dustin Kirkland 
Jaunty
Wishlist
Unassigned

Bug Description

Binary package hint: kvm

I spoke with Dustin about this on IRC a while back, and may be fixing it already, but I'm logging it here for tracking purposes.

Presently, the kvm apport hook does this:
    report['AllPkgs'] = command_output(['dpkg-query', '--show', '--showformat', '${Package} ${Version}\n'])

which attaches a list of *all* packages in the dpkg database and their version numbers. This is sub-optimal because:

1. It is a lot of data (50k per bug report), most of which is unnecessary
2. It may reveal information about the system which the user does not wish to expose (e.g. potential security vulnerabilities, names of unreleased products, etc.)

Instead, I suggest using the hookutils "attach_related_packages" function (pydoc apport.hookutils.attach_related_packages), and providing a list of relevant packages (glob patterns are supported).

ProblemType: Bug
Architecture: amd64
Date: Sun May 31 09:44:14 2009
DistroRelease: Ubuntu 9.10
KvmCmdLine: Error: command ['ps', '-C', 'kvm', '-F'] failed with exit code 1: UID PID PPID C SZ RSS PSR STIME TTY TIME CMD
MachineType: LENOVO 6465CTO
Package: kvm 1:84+dfsg-0ubuntu12
ProcCmdLine: root=UUID=305dde78-d20a-4248-aaf4-09447b7c5791 ro quiet splash
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.30-6.7-generic
SourcePackage: kvm
Uname: Linux 2.6.30-6-generic x86_64
UnreportableReason: This is not a genuine Ubuntu package
dmi.bios.date: 01/21/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 7LETB0WW (2.10 )
dmi.board.name: 6465CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7LETB0WW(2.10):bd01/21/2008:svnLENOVO:pn6465CTO:pvrThinkPadT61:rvnLENOVO:rn6465CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 6465CTO
dmi.product.version: ThinkPad T61
dmi.sys.vendor: LENOVO

Matt Zimmerman (mdz) wrote :
summary: - apport hook uploads version info for *all* packages
+ apport hook attaches version info for *all* packages in AllPkgs.txt
Dustin Kirkland  (kirkland) wrote :

Thanks for the reminder Matt. I'll get this fixed.

:-Dustin

Changed in kvm (Ubuntu):
assignee: nobody → Dustin Kirkland (kirkland)
importance: Undecided → Medium
status: New → In Progress
Dustin Kirkland  (kirkland) wrote :

Hi Matt-

I just uploaded a trivial fix for this to Karmic.

Do you think a Jaunty SRU is in order?

:-Dustin

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kvm - 1:84+dfsg-0ubuntu13

---------------
kvm (1:84+dfsg-0ubuntu13) karmic; urgency=low

  * debian/source_kvm.py: only collect packages related to kvm for apport,
    LP: #382077

 -- Dustin Kirkland <email address hidden> Mon, 01 Jun 2009 07:17:46 -0500

Changed in kvm (Ubuntu):
status: In Progress → Fix Released

On Mon, Jun 01, 2009 at 12:14:02PM -0000, Dustin Kirkland wrote:
> I just uploaded a trivial fix for this to Karmic.

Thanks!

> Do you think a Jaunty SRU is in order?

I don't think it justifies one in itself, but if you were to do a Jaunty SRU
for some other reason, it would be useful to roll this in.

--
 - mdz

Well, actually, we have a pending KVM package in jaunty-proposed that
fixes something else. I'll add this onto that one now.

:-Dustin

Dustin Kirkland  (kirkland) wrote :

I have proposed an SRU that fixes two other bugs in KVM.

This one is a trivial annoyance (wishlist priority) that would be nice to roll into the SRU with the other two.

See also Bug #394953 and Bug #359447

:-Dustin

Changed in kvm (Ubuntu Jaunty):
importance: Undecided → Wishlist
milestone: none → jaunty-updates
status: New → Confirmed
Changed in kvm (Ubuntu Jaunty):
status: Confirmed → Fix Committed
Martin Pitt (pitti) wrote :

Accepted kvm into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Dustin Kirkland  (kirkland) wrote :

Can someone please install the -proposed package and verify the fix?

It should be trivial to do... After installing the new, proposed package, please run "ubuntu-bug kvm". When the dialog pops up, take a look at the collected data. Ensure that the data collected about the packages installed on the system are only the kvm, qemu, and virt packages, rather than everything on the system.

Thanks,
:-Dustin

Alex Muntada (alex.muntada) wrote :

@Dustin I confirm that running "ubuntu-bug kvm" with -proposed version shows only packages related to kvm et al.

Martin Pitt (pitti) on 2009-07-15
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kvm - 1:84+dfsg-0ubuntu12.3

---------------
kvm (1:84+dfsg-0ubuntu12.3) jaunty-proposed; urgency=low

  * Cherry-pick qcow2 corruption patch from upstream git
    - Fix-at-least-one-cause-of-qcow2-corruption.-Nolan.patch,
    LP: #392295
  * Cherry-pick patch series from upstream to fix segfaults when
    cancelling DMA operations in virtual machines. LP: #359447
  * Cherry-pick dma error handling patch from upstream git, LP: #359447
    - Fix-DMA-API-when-handling-an-immediate-error-from-bl.patch
  * debian/control: depend on linux-server and linux-generic headers;
    this may be a bit overkill, as you only need one of the two,
    however, we don't know which one of the two until postinst;
    because of this, we get *tons* of bug reports about kvm-source not
    being able to build because of missing headers (even though we print
    a helpful warning message in postinst), LP: #394953
  * debian/kvm-source.postinst: touch reboot-required to ensure that
    the new kvm module gets loaded and running
  * debian/source_kvm.py: only collect packages related to kvm for apport,
    LP: #382077

 -- Dustin Kirkland <email address hidden> Tue, 07 Jul 2009 14:22:26 -0500

Changed in kvm (Ubuntu Jaunty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers